org.apache.fop.complexscripts.fonts

## Interface GlyphPositioning

All Known Implementing Classes:
  GlyphPositioningSubtable

    public interface GlyphPositioning

The `GlyphPositioning` interface is implemented by a glyph positioning subtable that supports the determination of glyph positioning information based on script and language of the corresponding character content.

This work was originally authored by Glenn Adams (gadams@apache.org).

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `position(GlyphPositioningState ps)` Perform glyph positioning at the current index, mutating the positioning state object as required.

### Method Detail

#### position

    boolean position(GlyphPositioningState ps)

Perform glyph positioning at the current index, mutating the positioning state object as required. Only the context associated with the current index is processed.

Parameters:
  `ps` - glyph positioning state object
Returns:
  true if the glyph subtable applies, meaning that the current context matches the associated input context glyph coverage table; note that returning true does not mean any position adjustment occurred; it only means that no further glyph subtables for the current lookup table should be applied.